#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>

#include <stdio.h>
#include <stdlib.h>

#define checkError(expr,userMsg) \
    do {\
        if (!(expr)) {\
            perror(userMsg);\
            exit(EXIT_FAILURE);\
        }\
    }  while (0)

int main(int argc, char** argv) {

    checkError(argc == 3, "args");

    int mode = strtol(argv[1], NULL, 8);
    checkError(chmod(argv[2], mode) != -1, "chmod");

    exit(EXIT_SUCCESS);
}